<?php
/**
 * @file
 * Template for the 2 column panel layout.
 *
 * This template provides a two column 50%-50% panel display layout.
 *
 * Variables:
 * - $id: An optional CSS id to use for the layout.
 * - $content: An array of content, each item in the array is keyed to one
 *   panel of the layout. This layout supports the following sections:
 *   - $content['left']: Content in the left column.
 *   - $content['right']: Content in the right column.
 */
?>
<!-- Gridtemplate: 2 columns 50/50 -->
<div class="ym-grid">
  <div class="ym-g50 ym-gl">
    <div class="ym-gbox-left">
      <!-- left content block -->
      <?php print $content['row1_left']; ?>
    </div>
  </div>
  <div class="ym-g50 ym-gr">
    <div class="ym-gbox-right">
      <!-- right content block -->
      <?php print $content['row1_right']; ?>
    </div>
  </div>
</div>

<div class="ym-grid">
  <div class="ym-g50 ym-gl">
    <div class="ym-gbox-left">
      <!-- left content block -->
      <?php print $content['row2_left']; ?>
    </div>
  </div>
  <div class="ym-g50 ym-gr">
    <div class="ym-gbox-right">
      <!-- right content block -->
      <?php print $content['row2_right']; ?>
    </div>
  </div>
</div>

<div class="box info">
  <div class="ym-grid">
    <div class="ym-g50 ym-gl">
      <div class="ym-gbox-left">
        <!-- left content block -->
        <?php print $content['row3_left']; ?>
      </div>
    </div>
    <div class="ym-g50 ym-gr">
      <div class="ym-gbox-right">
        <!-- right content block -->
        <?php print $content['row3_right']; ?>
      </div>
    </div>
  </div>
</div>
